{% extends "ElbotradeLayoutBundle:Layout:base.html.twig" %}

{% block header %}
    {% set active = 'products' %}
    {{ parent() }}
{% endblock %}

{% block content %}
    <main class="text-center">
        <!--Section 1-->
        <section class="well-xs">
            <div class="container container-wide">

                <div class="row center-block">
                    <div class="col-md-1 room_section"></div>
                    {% if categories|length > 0 %}
                        {% for category in categories %}
                            <div class="col-md-2 col-sm-6 room_section">
                                <img src="{{ server_path ~ media_path ~ category.root.path }}"/>
                                <h4 class="text-uppercase">{{ category.name }}</h4>
                                <ul>
                                    {% for taxon in category.taxons %}
                                        <li><a class="inline"
                                               href="{{ path('sub-category-list', {'taxonomyId': taxon.taxonomy.id, 'taxonId': taxon.parent.id}) }}">{{ taxon.name }}</a>
                                        </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        {% endfor %}
                    {% else %}
                        <h4><span class="icon icon-user-md icon-default fl-justicons-attention5">{{ 'products.no_category'|trans({}, 'content') }}</span></h4>
                    {% endif %}
                </div>
            </div>
        </section>
    </main>
{% endblock %}